#utf-8
import time
import traceback

from lib.socket.service.AutoCarWhichTimesService import AutoCarWhichTimesService

#写入文件
def writeToFile(path,data,type=1):         #：代表追加  0：代表覆盖
    if(type == 1):
        with open(path, "a", encoding='utf-8') as fi:
            fi.write(data)
    else:
        with open(path, "w", encoding='utf-8') as fi:
            fi.write(data)

def startSimulaterService():
    autoCarObj = AutoCarWhichTimesService()
    autoCarObj.setHost("10.100.12.32")                  # 设置主机地址
    autoCarObj.setPort(9008)                            # 设置端口号
    autoCarObj.setCarId("M202003060520")                #设置车机号
    autoCarObj.setSendDur(3)                            # 设置发送消息的间隔时间
    autoCarObj.setTimeout(30)                           # 设置socket超时时间
    autoCarObj.setOilExpend(10)                         # 设置1L 油跑多少公里
    autoCarObj.setSpeed(80)                             #设置车速，每小时多少公里

    '''
    type:0表示正向行驶，1表示反向行驶
    日期全为0，表示每天
    注意：时间尽量不要精确到秒，有很小概率导致时间跳过无法执行
    '''
    travelConf = {
        "line": "gpsLine1.txt",
        "times": [
            {"time": "0000-00-00 09:10:00", "type": "0"},
            {"time": "0000-00-00 18:30:00", "type": "1"},
        ]
    }
    autoCarObj.startService(travelConf)

if __name__ == "__main__":
    try:
        startSimulaterService()
    except BaseException as e:
        timeS = int(time.time())
        timeArray = time.localtime(timeS)
        datetime = time.strftime("%Y-%m-%d %H:%M:%S", timeArray)
        err = traceback.format_exc()
        writeToFile("data/log1.txt", "[" + datetime + "]", type=1)
        writeToFile("data/log1.txt", err, type=1)





